Subject: Fixed head disks (Why a PDP-11?)

From: "Douglas W. Jones" <[email-masked]>
Date: Thu, 22 Dec 94 10:04:37 CST

CJL wrote:
> Additionally, the DF32 and RF08 were never properly designed to be
> powered down!  Each power-down sequence is essentially a head crash.

I accidentally powered down a roomfull of DDP-516's at Bell Labs (the
big red emergency power switch was right by the door, and I accidentally
hit it as I was going for the lights).  The sound of those old fixed head
disks coming to a stop is rather fearsome.

We had an RF11 (I think) on our PDP-11/20 at the U of Illinois back in
1973-74, and it eventually wore through the oxide on one side of the
disk after a few too many power cycles.  That machine was essentially a
dedicated card-based batch Pascal engine, at the time, offering a level
of service which the computer center, with it's big IBM mainframe, had a
hard time equalling.  By the time the error rate reached the point where
we had to call field service, most of the disk tracks were worn through
to the aluminum.  I can only guess, but I imagine that we must have been
successfully recording data using the sides of the heads working against
the walls of the groves they'd worn.

The field service rep noted that we had only a single-sided drive, and
that although the back of the platter wasn't certified, it looked like
it could be polished up pretty well.  A supply of lint free cloth, a
careful polishing with Turtle Wax (yes, that was the brand he used), and
a careful cleaning and reassembly of the drive gave us a system that
provided good service for quite a while longer.

While I'm on the subject of fixed head disks, I hacked a disk drive out
of an old Burroughs office machine that was destined for the scrapyard.
The dates stamped on the ICs in the machine suggest it was built in
1969, but the fixed head disk was indeed its main memory.  What surprised
me was that the disk has micrometer heads -- they don't fly, they're
mechanically spaced away from the disk surface on differential screw
thread mountings.  I'm tempted to spin the thing up someday and hook a
scope to the heads to see what kind of storage capacity the thing had.
It must represent the very trailing edge of fixed (as opposed to flying)
head technology.  I'm sure Burroughs used that approach to avoid the
problems with power cycling you'd expect in a dirty office environment.

				Doug Jones
				[email-masked]